cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/v2/projects/systems \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/v2/projects/systems"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/v2/projects/systems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "appointment_booking",
"letter": "b",
"name": "Appointment Booking",
"description": "Agent checks calendar availability and books appointments.",
"promptVars": [
"first_name",
"phone",
"availability"
],
"metadataVars": [
"contact_id",
"location_id"
],
"dynamicVars": [
"first_name",
"phone",
"availability",
"contact_id",
"location_id"
],
"postCallFields": [
{
"name": "appointment_booked",
"type": "boolean"
},
{
"name": "preferred_time",
"type": "string"
}
],
"dispositions": [
"VOICEMAIL",
"SUCCESS",
"CALLBACK",
"NO_ACTION"
],
"sideSignals": []
}
]
}{
"success": false,
"error": "VALIDATION",
"message": "businessName is required."
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}{
"success": false,
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"success": false,
"error": "TooManyRequests",
"message": "Too many requests, please try again later."
}{
"success": false,
"error": "InternalError",
"message": "Unexpected server error."
}List campaign systems
List campaign system definitions used by the project campaign editor. Customer role: agency_admin.
Required API key scope: projects:read.
GET
/
api
/
v2
/
projects
/
systems
cURL
⌘I
